ActionFormBean (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionFormBean

    java.lang.Object
      org.apache.struts.config.BaseConfig
          org.apache.struts.config.FormBeanConfig
              org.apache.struts.action.ActionFormBean

All Implemented Interfaces:
  Serializable

    public class ActionFormBean

extends FormBeanConfig

An ActionFormBean is the definition of a form bean that is loaded from a `<form-bean>` element in the Struts configuration file. It can be subclassed as necessary to add additional properties.

Since Struts 1.1 `ActionFormBean` extends `FormBeanConfig`.

NOTE - This class would have been deprecated and replaced by `org.apache.struts.config.FormBeanConfig` except for the fact that it is part of the public API that existing applications are using.

Version:
  $Rev: 471754 $ $Date: 2005-05-14 01:09:32 -0400 (Sat, 14 May 2005) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.FormBeanConfig
`dynaActionFormClass, dynamic, extensionProcessed, formProperties, inherit, lock, name, restricted, type`

Fields inherited from class org.apache.struts.config.BaseConfig
`configured`

Constructor Summary
`ActionFormBean()` Construct an instance with default vaslues.
`ActionFormBean(String name, String type)` Construct an instance with the specified values.

Method Summary

Methods inherited from class org.apache.struts.config.FormBeanConfig
`addFormPropertyConfig, canReuse, checkCircularInheritance, createActionForm, createActionForm, findFormPropertyConfig, findFormPropertyConfigs, formBeanClass, freeze, getDynaActionFormClass, getDynamic, getExtends, getName, getType, inheritFormProperties, inheritFrom, isExtensionProcessed, isRestricted, processExtends, removeFormPropertyConfig, setExtends, setName, setRestricted, setType, toString`

Methods inherited from class org.apache.struts.config.BaseConfig
`copyProperties, getProperties, getProperty, inheritProperties, setProperties, setProperty, throwIfConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionFormBean

    public ActionFormBean()

  Construct an instance with default vaslues.

### ActionFormBean

    public ActionFormBean(String name,
                          String type)

  Construct an instance with the specified values.

  Parameters:
    `name` - Form bean name
    `type` - Fully qualified class name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.